#!/bin/sh

. /etc/script/lib/command.sh

#APP DIR
WEBSTORAGE_DIR=/usr/local/AppCentral/WebStorage

#executable files
PROGRAM_WEBSTORAGE=/usr/local/AppCentral/WebStorage/executable/process_webstorage
PROGRAM_SYNC=/usr/local/AppCentral/WebStorage/executable/SyncProcess
PROGRAM_BACKUP=/usr/local/AppCentral/WebStorage/executable/BackupProcess
PROGRAM_DOWNLOAD=/usr/local/AppCentral/WebStorage/executable/DownloadProcess

case $1 in

	start)
		# start script here
        #/usr/local/AppCentral/WebStorage/executable/start_process
        exec /usr/local/AppCentral/WebStorage/executable/process_webstorage &
		;;

	stop)
		#rm -rf $PID_FILE
		killall process_webstorage
		killall SyncProcess
		killall BackupProcess
		killall DownloadProcess
		#rm -f /volume1/.ASUS/ASUSWebStorage/main.cfg
		#rm -rf /volume1/.ASUS/ASUSWebStorage/Users
        ;;

	*)
		echo "usage: $0 {start|stop}"
		exit 1
		;;
		
esac

exit 0
